Supercheck LogoSupercheck
Notifications API

List notification providers

List all configured notification providers for the current project.

GET
/api/notification-providers

Authorization

bearerAuth
headerAuthorizationBearer <token>

Project-scoped CLI token (sck_live_* or sck_test_*) for documented API operations that accept bearer authentication. Interactive browser operations may require a session cookie. Trigger keys (sck_trigger_* / legacy job_*) are accepted only by job trigger endpoints.

Response Body

List of notification providers

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://demo.supercheck.dev/api/notification-providers'
Example Response
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "type": "email",    "enabled": true,    "config": {},    "lastUsed": "2019-08-24T14:15:22Z",    "createdByName": "string",    "createdByImage": "string",    "createdAt": "2019-08-24T14:15:22Z"  }]